Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0008252 [DCSS] Patches minor have not tried 2014-03-09 14:03 2014-03-14 11:57
Reporter chris View Status public  
Assigned To wheals
Priority normal Resolution done  
Status closed   Product Branch 0.14 ancient branch
Summary 0008252: Shop interface overhaul
Description After a suggestion implemented by Neil which is included in the patch submission, uppercase letters now move items back and forth between shopping list and purchase selection.
Also includes larger-than-planned cleanup to the interface and its legend and the code producing it.

--

[Neil Moore] Shopping: make uppercase add directly to shopping list.

If the item is already on the list, remove and selected it for purchase
without confirmation (for simplicity, even if it's unaffordable).

Currently undocumented because I'm unsure how to best rearrange things
in the two versions of _list_shop_keys.

--

* Clean up shop interface

Remove certain (mostly) unused functionality:
- The \ key no longer pulls up the \ menu
  (Suggested: Leave the shop and press \ instead)
- The ? key no longer pulls up the inventory
  (Suggested: Leave the shop and press i instead)
- The * key no longer inverses item selection
  (This was mostly used to empty a shop, a task rare enough that
   automating it might not be worth the interface clutter)
- The $ key no longer marks items on the shopping list for buying
  (Recent improvements to shopping list handling made it much easier to
   select what you want from shops, this further smoothens the process)

Leaving and re-entering a shop does not use turns, so most of these just
simplify the information a player has to parse in the help section.
To counter losing the pre-selection of items when doing this, shopping
list handling has been improved recently.

The help line now shows actions for all items "a-w" in a shop instead of
trying to be smart about letters of items you can afford.

The optional shopping list help line has been removed in favor of the
much easier to access upper-case shortcuts being explained to players.
You can still move the current selection of items to the shopping list
by pressing $ key, but this is a rather advanced action and added more
to general interface confusion in the help line than it helped.

What hindered players a lot when buying items on the shopping list was
the prompt for "Remove item from shopping list and mark for purchase?".
That one has been removed, instead selecting any such item will now act
as if answering `y` to the prompt.

Local tiles interface has been merged, code-wise, into webtiles+console.

--

* Shopping list: Display possible menu actions
Additional Information
Tags No tags attached.
Attached Files ? file icon 0002-Shops.patch [^] (26,699 bytes) 2014-03-09 14:03 [Show Content]

- Relationships

-  Notes
(0025558)
wheals (administrator)
2014-03-11 01:57
edited on: 2014-03-11 02:39

In examine mode, pressing a capital letter does the same thing as a lowercase letter. Either putting things on the shopping list should be allowed there, or switching to that mode should remove the "[A-F] put item on shopping list" text.

The other problem that I've had is that selecting the letter of an item on the shopping list still gives a "Remove from shopping list? (y/N)". What would make more sense to me would, if "b" is on the shopping list, is that 'B' would immediately remove from the shopping list and deselect, and 'b' would immediately move it off the list and into selection. Either way, no prompt.

(0025561)
chris (updater)
2014-03-11 02:51

Latter is only supposed to happen when you do not have enough money. Could still make a case for no prompt in either case, but I was content removing the one that's actually annoying most of the time.
(0025562)
wheals (administrator)
2014-03-11 03:00

Oh, OK. Didn't realize that -- should have tested with more gold. The last annoyance I had was the weirdness with the way shops auto-select identical items for purchase but that can wait for another patch to get fixed.
(0025565)
chris (updater)
2014-03-11 18:16

I guess removing that prompt as well might be good, it rarely helps and it's not worded very clear either as of now.

For the examine mode issue, this should allow shopping list interaction there as well:
diff --git a/crawl-ref/source/shopping.cc b/crawl-ref/source/shopping.cc
index 3e3a353..a7ffcec 100644
--- a/crawl-ref/source/shopping.cc
+++ b/crawl-ref/source/shopping.cc
@@ -721,7 +725,7 @@ static bool _in_a_shop(int shopidx, int &num_in_list)
             }
 
             item_def& item = mitm[stock[key]];
-            if (viewing)
+            if (viewing && !to_shoplist)
             {
                 // A hack to make the description more useful.
                 // In theory, the user could kill the process at this
(0025584)
wheals (administrator)
2014-03-13 05:31

OK, pushed it with the change that you added in your comment.
(0025601)
chris (updater)
2014-03-14 11:57

Thanks!

- Issue History
Date Modified Username Field Change
2014-03-09 14:03 chris New Issue
2014-03-09 14:03 chris File Added: 0002-Shops.patch
2014-03-11 01:57 wheals Note Added: 0025558
2014-03-11 02:39 wheals Note Edited: 0025558
2014-03-11 02:51 chris Note Added: 0025561
2014-03-11 03:00 wheals Note Added: 0025562
2014-03-11 18:16 chris Note Added: 0025565
2014-03-13 05:31 wheals Note Added: 0025584
2014-03-13 05:31 wheals Status new => resolved
2014-03-13 05:31 wheals Fixed in Branch => 0.14 development branch
2014-03-13 05:31 wheals Resolution open => done
2014-03-13 05:31 wheals Assigned To => wheals
2014-03-14 11:57 chris Note Added: 0025601
2014-03-14 11:57 chris Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker